io.undertow.server.protocol.http

## Class ServerFixedLengthStreamSinkConduit

- java.lang.Object
- - org.xnio.conduits.AbstractConduit<D>
  - - org.xnio.conduits.AbstractSinkConduit<D>
    - - org.xnio.conduits.AbstractStreamSinkConduit<org.xnio.conduits.StreamSinkConduit>
      - - io.undertow.conduits.AbstractFixedLengthStreamSinkConduit
        - - io.undertow.server.protocol.http.ServerFixedLengthStreamSinkConduit

All Implemented Interfaces:
  org.xnio.conduits.Conduit, org.xnio.conduits.SinkConduit, org.xnio.conduits.StreamSinkConduit

    public class ServerFixedLengthStreamSinkConduit
    extends AbstractFixedLengthStreamSinkConduit

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from class org.xnio.conduits.AbstractConduit

`next`

### Constructor Summary

Constructors
Constructor and Description
`ServerFixedLengthStreamSinkConduit(org.xnio.conduits.StreamSinkConduit next, boolean configurable, boolean propagateClose)` Construct a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `channelFinished()`

### Methods inherited from class io.undertow.conduits.AbstractFixedLengthStreamSinkConduit

`awaitWritable, awaitWritable, flush, getRemaining, isWriteResumed, reset, terminateWrites, transferFrom, transferFrom, truncateWrites, wakeupWrites, write, write, writeFinal, writeFinal`

### Methods inherited from class org.xnio.conduits.AbstractSinkConduit

`getWriteThread, isWriteShutdown, resumeWrites, setWriteReadyHandler, suspendWrites`

### Methods inherited from class org.xnio.conduits.AbstractConduit

`getWorker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xnio.conduits.SinkConduit

`getWriteThread, isWriteShutdown, resumeWrites, setWriteReadyHandler, suspendWrites`

### Methods inherited from interface org.xnio.conduits.Conduit

`getWorker`

### Constructor Detail

#### ServerFixedLengthStreamSinkConduit

    public ServerFixedLengthStreamSinkConduit(org.xnio.conduits.StreamSinkConduit next,
                                              boolean configurable,
                                              boolean propagateClose)

Construct a new instance.

Parameters:
  `next` - the next channel
  `configurable` - `true` if this instance should pass configuration to the next
  `propagateClose` - `true` if this instance should pass close to the next

### Method Detail

#### channelFinished

    protected void channelFinished()

Overrides:
  `channelFinished` in class `AbstractFixedLengthStreamSinkConduit`